Bug 112434 - Cannot cut/paste into task list
Cannot cut/paste into task list
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: evolution (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks: 170445
  Show dependency treegraph
 
Reported: 2003-12-19 12:24 EST by David Kaelbling
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-13 22:59:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kaelbling 2003-12-19 12:24:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
I am attempting to create new tasks from email.  I would like to be
able to select some text in the message (and maybe Copy it), and then
paste it into a new task.  But the Edit menu paste is disabled when
creating tasks.

Version-Release number of selected component (if applicable):
evolution-1.4.5-1

How reproducible:
Always

Steps to Reproduce:
1. Go to the task display
2. Click to begin entering a new task
3. Attempt to paste (either with Ctrl+V or the edit menu)
    

Actual Results:  Nothing happens

Expected Results:  Current text should have been inserted.


Additional info:
Comment 1 Dave Malcolm 2005-08-29 18:11:31 EDT
Thank you for this bug report.  I'm very sorry that it has gone for so long
without activity.  Is this bug still an issue for you?

I can confirm this bug on RHEL3's Evolution.  One workaround is to create a
separate window when creating a task, by pressing Ctrl+Shift+T (or Ctrl-N if you
have a Tasks folder selected), though I appreciate that this is a more awkward
way of working when dealing with large numbers of tasks.

The bug affects the most recent version of Evolution from upstream development.
 I've had intermittent success with RHEL4's Evolution in using Ctrl+V to paste
text directly into the task list view; one problem is that the clipboard
operations of cutting and pasting fragments of text use the same keyboard
shortcuts as those for cutting and pasting entire tasks.
Comment 2 David Kaelbling 2005-08-29 21:53:13 EDT
This is no longer an issue for me -- I gave up on using Evolution tasks.  But
thanks for following up!

Note You need to log in before you can comment on or make changes to this bug.